PROMPT Pokrenuta skripta sustav_off.sql

SET SERVEROUTPUT ON

DECLARE
  sustav_l VARCHAR2(2000);
BEGIN
  DBMS_OUTPUT.PUT_LINE ('--');
  DBMS_OUTPUT.PUT_LINE ('Pokreni samo na centru.');
  DBMS_OUTPUT.PUT_LINE ('Ako upit vrati naziv sustava, konektiraj se na sustav i' );
  DBMS_OUTPUT.PUT_LINE ('pokreni predlozenu skriptu i');
  DBMS_OUTPUT.PUT_LINE ('konektiraj se natrag na MISH shemu');
  DBMS_OUTPUT.PUT_LINE ('--');
  DBMS_OUTPUT.PUT_LINE ('=> connect sustav.../...@shema');
  DBMS_OUTPUT.PUT_LINE ('--');

  BEGIN 
    SELECT 'sustav : ' || naziv || ' shema: ' || apl_shema_naziv
      INTO sustav_l
      FROM mishsys.m_korisnici 
     WHERE apl_shema_naziv = UPPER ('&shema') AND naziv LIKE 'SUSTAV%';

    DBMS_OUTPUT.PUT_LINE (sustav_l);
    DBMS_OUTPUT.PUT_LINE ('@sustav_not_published.sql');
    DBMS_OUTPUT.PUT_LINE ('--');
    DBMS_OUTPUT.PUT_LINE ('=> connect &shema/...@shema');
  EXCEPTION
    WHEN OTHERS THEN
      DBMS_OUTPUT.PUT_LINE ('--');
      DBMS_OUTPUT.PUT_LINE ('Shema nema sustav');
  END;
END;
/
